package cn.superdesk.uniorder.service.operation;

import cn.superdesk.uniorder.common.rest.response.R;
import cn.superdesk.uniorder.dao.entity.operation.UnifiedOrderIssuesFlowing;
import cn.superdesk.uniorder.dto.param.operation.UnifiedOrderIssuesFlowingQueryCriteria;
import cn.superdesk.uniorder.dto.vo.operation.UnifiedOrderIssuesFlowingVo;
import cn.superdesk.uniorder.service.base.BaseService;
import com.github.pagehelper.PageInfo;

import java.util.List;
import java.util.Map;

/**
 * @Description: 问题订单-流水记录
 * @Author: linjinyu
 * @Email linjinyu@avic-s.com
 * @CreateDate: 2021-06-25 14:22:13
 * @UpdateUser: linjinyu
 * @UpdateDate: 2021-06-25 14:22:13
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
public interface UnifiedOrderIssuesFlowingService extends BaseService<UnifiedOrderIssuesFlowing> {


	/****************************************** extends BaseService 部分 start ******************************************/

	int insertSelective(UnifiedOrderIssuesFlowing entity);

    int updateByPrimaryKeySelective(UnifiedOrderIssuesFlowing entity);

	@Deprecated
	void deleteObj(Long id);

	@Deprecated
	UnifiedOrderIssuesFlowing findById(Long id);

	@Deprecated
	PageInfo<UnifiedOrderIssuesFlowing> findByPaging(Map<String, Object> conditions, Integer pageNun, Integer pageSize);

	@Deprecated
	List<UnifiedOrderIssuesFlowing> findAll(Map<String, Object> queryMap);

	/****************************************** extends BaseService 部分   end ******************************************/


	void addUnifiedOrderIssuesFlowing(UnifiedOrderIssuesFlowing entity);

	void updateUnifiedOrderIssuesFlowing(UnifiedOrderIssuesFlowing entity);

	void deleteUnifiedOrderIssuesFlowing(Long id);

	UnifiedOrderIssuesFlowing findUnifiedOrderIssuesFlowingById(Long id);

	UnifiedOrderIssuesFlowing findUnifiedOrderIssuesFlowingByUid(String uid);

	List<UnifiedOrderIssuesFlowing> findUnifiedOrderIssuesFlowingByOrderSn(String orderSn);

	R<List<UnifiedOrderIssuesFlowingVo>> pageQuery(UnifiedOrderIssuesFlowingQueryCriteria queryCriteria, int pageNun, int pageSize);


}